	org 0x7e00
	bits 16

	;; No longer using 0x7c00-0c7e00 so we can make the stack a little bigger
	mov esp, 0x7e00

	call SWITCH_PROTECTED

	mov bp, STR_MADEIT
	mov cx, 29
	CALL WRITE_STRING

	;; JMP to the kernel entry point
	jmp 0x8000 + 4096
	;; Put string in bp
	;; put length in cx
WRITE_STRING:
	pusha
	mov ah, 0x13
	mov al, 0x01
	mov bh, 0
	mov bl, 7
	push word 0
	pop es
	mov dl, 0
	mov dh, 0
	int 0x10
	popa
	ret

SWITCH_PROTECTED:
	cli							;Disable interrupts
	lgdt [gdt_descriptor]		;Load global descriptor table
	;; TODO: set A20 line
	ret

STR_MADEIT:	 db "Currently in the second stage", 0
	
%include "boot/gdt.asm"

	;; pad this file to 512 bytes
	;; so we know exactly where the kernel is loaded
	times 512-($-$$) db 0
